"""Code generated by Speakeasy (https://speakeasy.com). DO NOT EDIT."""

from __future__ import annotations
import httpx
from langcache.errors import LangCacheError
from langcache.models import internalservererroruri as models_internalservererroruri
from langcache.types import BaseModel
from typing import Optional


class InternalServerErrorResponseContentData(BaseModel):
    title: str
    r"""A short, human-readable summary of the problem type"""

    type: models_internalservererroruri.InternalServerErrorURI

    status: Optional[int] = 500
    r"""The HTTP status code generated by the origin server for this occurrence of the problem"""

    detail: Optional[str] = None
    r"""A human-readable explanation specific to this occurrence of the problem"""


class InternalServerErrorResponseContent(LangCacheError):
    data: InternalServerErrorResponseContentData

    def __init__(
        self,
        data: InternalServerErrorResponseContentData,
        raw_response: httpx.Response,
        body: Optional[str] = None,
    ):
        message = body or raw_response.text
        super().__init__(message, raw_response, body)
        self.data = data
